API Guide Home (Online version only) |

# HsExtUtilBigButton.h File Reference

## Detailed Description

Version:
  3.0

Date:
  12/18/2001

Description: This file contains routines for managing 'big' buttons, which are thumbable buttons with a bitmap and some text (common in applications designed to be used for telephony)

History: 2001-12-18 dia Creaded by Doug Anderson 2002-01-22 dia Supports or
as line endings now. Note that '
' is not supported (it's treated as two separate line endings)

Definition in file HsExtUtilBigButton.h.

Go to the source code of this file.

## Functions

- Err HsUtilBbutInstallFromResource (FormType *frmP)
    Parameters:

      | frmP,: | IN:

- void HsUtilBbutInstallNewButton (FormType *frmP, UInt16 gadgetID, const Char *textP, FontID font, UInt8 flags)
    Parameters:

      | frmP,: | IN:

- void HsUtilBbutSetLabel (FormType *frmP, UInt16 gadgetID, const Char *newLabel)
    Parameters:

      | frmP,: | IN:

- void HsUtilBbutSetBitmap (FormType *frmP, UInt16 gadgetID, const BitmapPtr bitmapP)
    Parameters:

      | frmP,: | IN:

- void HsUtilBbutHitBigButton (FormType *frmP, UInt16 gadgetIndex)
    Parameters:

      | frmP,: | IN:

## Function Documentation

void HsUtilBbutHitBigButton | ( | FormType * | frmP,
|  | UInt16 | gadgetIndex |
| ) |  |  |

Parameters:

  | frmP,: | IN:

Parameters:

  | gadgetIndex,: | IN:

Return values:

  | Error | code.

Err HsUtilBbutInstallFromResource | ( | FormType * | frmP | ) |

Parameters:

  | frmP,: | IN:

Return values:

  | Error | code.

void HsUtilBbutInstallNewButton | ( | FormType * | frmP,
|  | UInt16 | gadgetID,
|  | const Char * | textP,
|  | FontID | font,
|  | UInt8 | flags |
| ) |  |  |

Parameters:

  | frmP,: | IN:

Parameters:

  | gadgetID,: | IN:
  | textP,: | IN:
  | font,: | IN:
  | flags,: | IN:

Return values:

  | Error | code.

void HsUtilBbutSetBitmap | ( | FormType * | frmP,
|  | UInt16 | gadgetID,
|  | const BitmapPtr | bitmapP |
| ) |  |  |

Parameters:

  | frmP,: | IN:

Parameters:

  | gadgetID,: | IN:
  | bitmapP,: | IN:

Return values:

  | Error | code.

void HsUtilBbutSetLabel | ( | FormType * | frmP,
|  | UInt16 | gadgetID,
|  | const Char * | newLabel |
| ) |  |  |

Parameters:

  | frmP,: | IN:

Parameters:

  | gadgetID,: | IN:
  | newLabel,: | IN:

Return values:

  | Error | code.

Top | Palm Developer Network © 2004-2008, Palm, Inc. All rights reserved. Generated on Fri Jun 13 10:07:05 2008 for Palm API Guide